<?php

class m140901_164900_add_type_to_whitelisttable extends MyDbMigration
{
  public function up()
  {
    if ($this->dbConnection->schema->getTable('whitelisttable')->getColumn('type') == null)
      $this->addColumn('whitelisttable', 'type', 'string');
  }

  public function down()
  {
    if ($this->dbConnection->schema->getTable('whitelisttable')->getColumn('type') != null)
      $this->dropColumn('whitelisttable', 'type');

    return true;
  }
}
